JarClassLoader (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.session.installer, class: JarClassLoader

Package org.apache.geode.modules.session.installer

# Class JarClassLoader

java.lang.Object
java.lang.ClassLoader
java.security.SecureClassLoader
java.net.URLClassLoader
org.apache.geode.modules.session.installer.JarClassLoader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class JarClassLoader extends URLClassLoader
Classloader, which allows finding classes in jars within jars. This is used to check whether a listener, as found in web.xml, is a ServletContextListener

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JarClassLoader(URL[] urls, ClassLoader parent)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Class<?>`
  `loadClass(String name, boolean resolve)`

  ### Methods inherited from class java.net.URLClassLoader

  `addURL, close, definePackage, findClass, findResource, findResources, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

  ### Methods inherited from class java.security.SecureClassLoader

  `defineClass, defineClass`

  ### Methods inherited from class java.lang.ClassLoader

  `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JarClassLoader

    public JarClassLoader(URL[] urls, ClassLoader parent)

- ## Method Details

  - ### loadClass

    protected Class<?> loadClass(String name, boolean resolve) throws ClassNotFoundException
    Overrides:
      `loadClass` in class `ClassLoader`
    Throws:
      `ClassNotFoundException`